Page MenuHomePhabricator

Move Scap development from Differential to Gerrit
Closed, ResolvedPublic

Description

Per the parent task. It's declined, but this should happen anyway.

We should merge or reject outstanding scap diffs then push it all to gerrit and swap replication in the opposite direction.

Afterwords, we can drop .arclint, .arcunit related stuff.

Event Timeline

demon created this task.Apr 4 2018, 3:10 AM
demon triaged this task as Normal priority.
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
Paladox added a subscriber: Paladox.Apr 4 2018, 9:43 PM
demon moved this task from Bugs & stuff to Repo Admin on the Gerrit board.May 15 2018, 9:08 AM
demon removed demon as the assignee of this task.May 31 2018, 6:33 PM
Aklapper moved this task from To Triage to External on the Phabricator board.Aug 29 2018, 6:36 PM

Is this ready to go? I'm happy to do the steps of copying/migrating stuff over but it needs the Scap developers to be expecting it.

Aklapper renamed this task from Move Scap development to Gerrit to Move Scap development from Differential to Gerrit.Dec 20 2018, 12:36 PM
thcipriani closed this task as Resolved.Wed, Feb 6, 7:39 PM
thcipriani claimed this task.
thcipriani added a subscriber: thcipriani.

I moved scap development back over to gerrit a couple weeks ago! https://gerrit.wikimedia.org/g/mediawiki/tools/scap/

@thcipriani We should then probably change https://phabricator.wikimedia.org/source/scap/manage/uris/ so it watches the Gerrit repo now. Thanks.

@thcipriani We should then probably change https://phabricator.wikimedia.org/source/scap/manage/uris/ so it watches the Gerrit repo now. Thanks.

Done it myself. Should be watching Gerrit now, without loosing previous history either.

Also pending Differential patches at https://phabricator.wikimedia.org/differential/query/HSiUdfG23TXJ/ should be either abandoned or ported to Gerrit for code review?

Change 488915 had a related patch set uploaded (by MarcoAurelio; owner: MarcoAurelio):
[mediawiki/tools/scap@master] Drop Arcanist files after move to Gerrit

https://gerrit.wikimedia.org/r/488915

Change 488915 abandoned by MarcoAurelio:
Drop Arcanist files after move to Gerrit

Reason:
Can happen at https://gerrit.wikimedia.org/r/#/c/mediawiki/tools/scap/ /486321/; they just need to delete the .arclint file as well.

https://gerrit.wikimedia.org/r/488915